Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.stub
Class BusinessAgreementWithParticipantCompletionStub

    java.lang.Object
      com.arjuna.wst.stub.BusinessAgreementWithParticipantCompletionStub

All Implemented Interfaces:
  BusinessAgreementWithParticipantCompletionParticipant, PersistableParticipant

public class BusinessAgreementWithParticipantCompletionStub
extends java.lang.Object
implements BusinessAgreementWithParticipantCompletionParticipant, PersistableParticipant

Constructor Summary
`BusinessAgreementWithParticipantCompletionStub(ParticipantCompletionCoordinatorEngine participant)`

Method Summary
`void` | `cancel()` The transaction has cancelled, and the participant should undo any work.
`void` | `close()` The transaction has completed successfully.
`void` | `compensate()` The transaction has cancelled.
`void` | `error()` If the participant enquired as to the status of the transaction it was registered with and an error occurs (e.g., the transaction service is unavailable) then this operation will be invoked.
`boolean` | `restoreState(com.arjuna.ats.arjuna.state.InputObjectState ios)` Restore the state of the particpant from the specified input object stream.
`boolean` | `saveState(com.arjuna.ats.arjuna.state.OutputObjectState oos)` Save the state of the particpant to the specified input object stream.
`java.lang.String` | `status()`
`void` | `unknown()` If the participant enquires as to the status of the transaction it was registered with and that transaction is no longer available (has rolled back) then this operation will be invoked by the coordination service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessAgreementWithParticipantCompletionStub

    public BusinessAgreementWithParticipantCompletionStub(ParticipantCompletionCoordinatorEngine participant)
                                                   throws java.lang.Exception

Method Detail

### close

    public void close()
               throws WrongStateException,
                      SystemException

  Description copied from interface: `BusinessAgreementWithParticipantCompletionParticipant`
  The transaction has completed successfully. The participant previously informed the coordinator that it was ready to complete.

  Specified by:
    `close` in interface `BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `WrongStateException`
    `SystemException`

### cancel

    public void cancel()
                throws WrongStateException,
                       SystemException

  Description copied from interface: `BusinessAgreementWithParticipantCompletionParticipant`
  The transaction has cancelled, and the participant should undo any work. The participant cannot have informed the coordinator that it has completed.

  Specified by:
    `cancel` in interface `BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `WrongStateException`
    `SystemException`

### compensate

    public void compensate()
                    throws FaultedException,
                           WrongStateException,
                           SystemException

  Description copied from interface: `BusinessAgreementWithParticipantCompletionParticipant`
  The transaction has cancelled. The participant previously informed the coordinator that it had finished work but could compensate later if required, so it is now requested to do so.

  Specified by:
    `compensate` in interface `BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `FaultedException`
    `WrongStateException`
    `SystemException`

### status

    public java.lang.String status()
                            throws SystemException

  Specified by:
    `status` in interface `BusinessAgreementWithParticipantCompletionParticipant`
  Returns:
    the status value.
  Throws:
    `SystemException`

### unknown

    public void unknown()
                 throws SystemException

  Description copied from interface: `BusinessAgreementWithParticipantCompletionParticipant`
  If the participant enquires as to the status of the transaction it was registered with and that transaction is no longer available (has rolled back) then this operation will be invoked by the coordination service.

  Specified by:
    `unknown` in interface `BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `SystemException`

### error

    public void error()
               throws SystemException

  Description copied from interface: `BusinessAgreementWithParticipantCompletionParticipant`
  If the participant enquired as to the status of the transaction it was registered with and an error occurs (e.g., the transaction service is unavailable) then this operation will be invoked.

  Specified by:
    `error` in interface `BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `SystemException`

### saveState

    public boolean saveState(com.arjuna.ats.arjuna.state.OutputObjectState oos)

  Description copied from interface: `PersistableParticipant`
  Save the state of the particpant to the specified input object stream.

  Specified by:
    `saveState` in interface `PersistableParticipant`
  Parameters:
    `oos` - The output output stream.
  Returns:
    true if persisted, false otherwise.

### restoreState

    public boolean restoreState(com.arjuna.ats.arjuna.state.InputObjectState ios)

  Description copied from interface: `PersistableParticipant`
  Restore the state of the particpant from the specified input object stream.

  Specified by:
    `restoreState` in interface `PersistableParticipant`
  Parameters:
    `ios` - The Input object stream.
  Returns:
    true if restored, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD